#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,k,i,p[200001];
    scanf("%d%d",&n,&k);
    for(i=0;i<n;i++)
        scanf("%d",&p[i]);
    if(k==p[n-1])
        printf("%d",p[0]);
    else
        for(i=0;i<n;i++)
        if(k == p[i])
        printf("%d",p[i+1]);
    return 0;
}